<?php

namespace App\Services\Equipment;

use App\Entities\Equipment\LineEntity;
use App\Models\Equipment\LineModel;
use CodeIgniter\HTTP\IncomingRequest;

class LineService extends EquipmentService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Line');
    }
    public function getModelClass(): LineModel
    {
        return new LineModel();
    }
    public function getEntityClass(): LineEntity
    {
        return new LineEntity();
    }
    public function getFields(): array
    {
        return [
            "clientinfo_uid",
            "type",
            "title",
            "bandwith",
            "start_at",
            "status",
        ];
    }
    public function getFilterFields(): array
    {
        return ["clientinfo_uid", "type", 'status',];
    }
    public function getBatchJobFields(): array
    {
        return ['status'];
    }
}
